org.apache.cassandra.index.sasi.conf.view

## Interface TermTree

All Known Implementing Classes:
  PrefixTermTree, RangeTermTree

    public interface TermTree

### Nested Class Summary

Nested Classes
`static class` `TermTree.Builder`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `intervalCount()`
`java.util.Set<SSTableIndex>` `search(Expression e)`

### Method Detail

#### search

    java.util.Set<SSTableIndex> search(Expression e)

#### intervalCount

    int intervalCount()